.nav-sidebar
  = link_to admin_root_path, title: 'Admin Overview', class: 'context-header' do
    .avatar-container.s40.settings-avatar
      = icon('wrench')
    .project-title Admin Area
  %ul.sidebar-top-level-items
    = nav_link(controller: %w(dashboard admin projects users groups jobs runners cohorts), html_options: {class: 'home'}) do
      = link_to admin_root_path, title: 'Overview', class: 'shortcuts-tree' do
        %span
          Overview

      %ul.sidebar-sub-level-items
        = nav_link(controller: :dashboard, html_options: {class: 'home'}) do
          = link_to admin_root_path, title: 'Overview' do
            %span
              Overview
        = nav_link(controller: [:admin, :projects]) do
          = link_to admin_projects_path, title: 'Projects' do
            %span
              Projects
        = nav_link(controller: :users) do
          = link_to admin_users_path, title: 'Users' do
            %span
              Users
        = nav_link(controller: :groups) do
          = link_to admin_groups_path, title: 'Groups' do
            %span
              Groups
        = nav_link path: 'jobs#index' do
          = link_to admin_jobs_path, title: 'Jobs' do
            %span
              Jobs
        = nav_link path: ['runners#index', 'runners#show'] do
          = link_to admin_runners_path, title: 'Runners' do
            %span
              Runners
        = nav_link path: 'cohorts#index' do
          = link_to admin_cohorts_path, title: 'Cohorts' do
            %span
              Cohorts

    = nav_link(controller: %w(conversational_development_index system_info background_jobs logs health_check requests_profiles audit_logs)) do
      = link_to admin_conversational_development_index_path, title: 'Monitoring' do
        %span
          Monitoring

      %ul.sidebar-sub-level-items
        = nav_link(controller: :conversational_development_index) do
          = link_to admin_conversational_development_index_path, title: 'ConvDev Index' do
            %span
              ConvDev Index
        = nav_link(controller: :system_info) do
          = link_to admin_system_info_path, title: 'System Info' do
            %span
              System Info
        = nav_link(controller: :background_jobs) do
          = link_to admin_background_jobs_path, title: 'Background Jobs' do
            %span
              Background Jobs
        = nav_link(controller: :logs) do
          = link_to admin_logs_path, title: 'Logs' do
            %span
              Logs
        = nav_link(controller: :health_check) do
          = link_to admin_health_check_path, title: 'Health Check' do
            %span
              Health Check
        = nav_link(controller: :requests_profiles) do
          = link_to admin_requests_profiles_path, title: 'Requests Profiles' do
            %span
              Requests Profiles
        = nav_link path: 'audit_logs#index' do
          = link_to admin_audit_logs_path, title: 'Audit Log' do
            %span
              Audit Log

    = nav_link(controller: :broadcast_messages) do
      = link_to admin_broadcast_messages_path, title: 'Messages' do
        %span
          Messages
    = nav_link(controller: [:hooks, :hook_logs]) do
      = link_to admin_hooks_path, title: 'Hooks' do
        %span
          System Hooks

    = nav_link(controller: :applications) do
      = link_to admin_applications_path, title: 'Applications' do
        %span
          Applications

    = nav_link(controller: :abuse_reports) do
      = link_to admin_abuse_reports_path, title: "Abuse Reports" do
        %span
          Abuse Reports
          %span.badge.count= number_with_delimiter(AbuseReport.count(:all))

    = nav_link(controller: :licenses) do
      = link_to admin_license_path, title: 'License' do
        %span
          License

    - if akismet_enabled?
      = nav_link(controller: :spam_logs) do
        = link_to admin_spam_logs_path, title: "Spam Logs" do
          %span
            Spam Logs

    = nav_link(controller: :push_rules) do
      = link_to admin_push_rule_path, title: 'Push Rules' do
        %span
          Push Rules

    = nav_link(controller: :geo_nodes) do
      = link_to admin_geo_nodes_path, title: 'Geo Nodes' do
        %span
          Geo Nodes

    = nav_link(controller: :deploy_keys) do
      = link_to admin_deploy_keys_path, title: 'Deploy Keys' do
        %span
          Deploy Keys

    = nav_link(controller: :services) do
      = link_to admin_application_settings_services_path, title: 'Service Templates' do
        %span
          Service Templates

    = nav_link(controller: :labels) do
      = link_to admin_labels_path, title: 'Labels' do
        %span
          Labels

    = nav_link(controller: :appearances) do
      = link_to admin_appearances_path, title: 'Appearances' do
        %span
          Appearance

    %li.divider
    = nav_link(controller: :application_settings) do
      = link_to admin_application_settings_path, title: 'Settings' do
        %span
          Settings
